Step 1 of 7. Before you can charge a card later, the customer has to pay with it once. Create a checkout order for that first payment, with tokenizeCard set to true.The first payment does two things. It proves that the card is valid and can be charged, and the customer approves the payment with their bank. After that, you can charge the card without the customer re-entering their card details.
POST /v1/checkout/order
tokenizeCard goes at the top level of the request body, next to order. Nomba ignores it if you put it inside order, and the card isn’t saved.
Keep data.orderReference from the response. You send it with the card details in the next step.
Choose the amount for the first payment
If the first payment is the customer’s first bill, such as the first month of a subscription, charge the real amount.If you only need the payment to save the card, charge a small amount. Then refund it, or give the customer the same value in your app, such as wallet credit. Nomba doesn’t set a minimum amount, but some banks decline very small card payments, so test the amount you plan to use.
Set tokenizeCard only when you plan to charge the card again. Tell the customer you’ll save their card and how you’ll use it, and get their agreement before they pay.
Next: Submit card details
Send the card details your customer entered on your page.
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Nomba Developers","colors":{"primary":"#CCA300","light":"#FFEB99","dark":"#CCA300"},"logo":{"light":"https://mintcdn.com/nombainc/LbOT-y1ZVvazz3Lg/logo/nomba-light.svg?fit=max\u0026auto=format\u0026n=LbOT-y1ZVvazz3Lg\u0026q=85\u0026s=4dcbcda9fb740ec0980d87afcfb000e7","dark":"https://mintcdn.com/nombainc/LbOT-y1ZVvazz3Lg/logo/nomba-dark.svg?fit=max\u0026auto=format\u0026n=LbOT-y1ZVvazz3Lg\u0026q=85\u0026s=8e8cd77f0ab90c3082a1e42f06575567","href":"https://nomba.com"},"favicon":"https://mintcdn.com/nombainc/LbOT-y1ZVvazz3Lg/favicon.svg?fit=max\u0026auto=format\u0026n=LbOT-y1ZVvazz3Lg\u0026q=85\u0026s=c874f3e94db3416140343b18005b9f4f","appearance":{"default":"light","strict":false},"navbar":{"links":[{"href":"https://status.nomba.com","label":"API Status"}],"primary":{"type":"button","label":"Dashboard","href":"https://dashboard.nomba.com"}},"footer":{"socials":{"twitter":"https://twitter.com/nombahq","github":"https://github.com/kudi-inc","linkedin":"https://www.linkedin.com/company/nombahq"},"links":[{"header":"Need Help?","items":[{"label":"Contact Support","href":"mailto:[email protected]"},{"label":"System Status","href":"https://status.nomba.com"}]}]},"banner":{"content":"🚀 Try our APIs instantly — no account needed. [See how →](/docs/guides/try-the-api)","dismissible":true},"contextual":{"options":["claude","chatgpt","mcp","cursor","vscode","copy","view"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"nombainc","hasAudioNarration":false,"actualSubdomain":"nombainc","customDomains":["developer.nomba.com"],"gitSource":{"type":"github","owner":"pelumi","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6afc38f09afc43b42146439b","clientVersion":"0.0.4205","searchFilterCounts":[{"language":"default","tag":"Documentation","count":105},{"language":"default","tag":"API Reference","count":103},{"language":"default","tag":"Products","count":80},{"language":"default","tag":"Accept Payments","count":37},{"language":"default","tag":"Recurring payments","count":22},{"language":"default","tag":"Transfers","count":20},{"language":"default","tag":"Global Payout","count":20},{"language":"default","tag":"Terminals","count":17},{"language":"default","tag":"Cable \u0026 Bill Payments","count":13},{"language":"default","tag":"API Basics","count":12}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 100 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa2JL7SUc.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 100 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa0ZL7SUc.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 100 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa2ZL7SUc.woff2) format('woff2');\n unicode-range: U+1F00-1FFF;\n}\n/* greek */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 100 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa1pL7SUc.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 100 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa2pL7SUc.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 100 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa25L7SUc.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 100 900;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcC73FwrK3iLTeHuS_nVMrMxCp50SjIa1ZL7.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n*{font-family:\"Inter\", sans-serif;font-optical-sizing:auto;font-weight:400;font-style:normal}[data-option=\"claude\"],[class*=\"claude\"],a[href*=\"claude.ai\"],button[aria-label*=\"Claude\"]{background-color:#CCA300!important;color:#ffffff!important}[data-option=\"chatgpt\"],[class*=\"chatgpt\"],a[href*=\"chatgpt.com\"],button[aria-label*=\"ChatGPT\"]{background-color:#CCA300!important;color:#ffffff!important}.open-in-claude-btn{display:inline-flex;align-items:center;gap:8px;padding:10px 18px;background:#CCA300;color:#ffffff!important;border-radius:8px;font-size:14px;font-weight:600;text-decoration:none!important;transition:background 0.2s, transform 0.15s;border:none;cursor:pointer}.open-in-claude-btn:hover{background:#A38200;transform:translateY(-1px)}"}],"page":{"pagePath":"docs/products/accept-payment/recurring-payments/api/create-checkout-order","slug":"/docs/products/accept-payment/recurring-payments/api/create-checkout-order","pageMetadata":{"title":"Create a checkout order","sidebarTitle":"Create a checkout order","description":"Create the first order with tokenizeCard set to true so Nomba saves the customer's card.","href":"/docs/products/accept-payment/recurring-payments/api/create-checkout-order"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create the first order with tokenizeCard set to true so Nomba saves the customer’s card.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,strong:`strong`,..._provideComponents(),...props.components},{Card,CardGroup,Expandable,Heading,ParamField,ResponseField,Tip,Warning}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!CardGroup)_missingMdxReference(`CardGroup`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Tip)_missingMdxReference(`Tip`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(CardGroup,{cols:2,children:_jsx(Card,{title:`Create an online checkout order`,icon:`link-simple`,href:`/nomba-api-reference/online-checkout/create-an-online-checkout-order`})}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Step 1 of 7.`}),` Before you can charge a card later, the customer has to pay with it once. Create a checkout order for that first payment, with `,_jsx(_components.code,{children:`tokenizeCard`}),` set to `,_jsx(_components.code,{children:`true`}),`.`]}),`\n`,_jsx(_components.p,{children:`The first payment does two things. It proves that the card is valid and can be charged, and the customer approves the payment with their bank. After that, you can charge the card without the customer re-entering their card details.`}),`\n`,_jsx(Heading,{level:`1`,id:`post-/v1/checkout/order`,children:_jsx(_components.code,{children:`POST /v1/checkout/order`})}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`tokenizeCard`}),` goes at the `,_jsx(_components.strong,{children:`top level`}),` of the request body, next to `,_jsx(_components.code,{children:`order`}),`. Nomba ignores it if you put it inside `,_jsx(_components.code,{children:`order`}),`, and the card isn’t saved.`]})}),`\n`,_jsx(Heading,{level:`4`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`Authorization`,type:`string`,required:true,id:`param-authorization`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`Bearer \u003caccess_token>`}),`. See `,_jsx(_components.a,{href:`/docs/getting-started/authentication`,children:`Authenticate`}),`.`]})}),`\n`,_jsx(ParamField,{header:`accountId`,type:`string`,required:true,id:`param-account-id`,children:_jsx(_components.p,{children:`Your account ID`})}),`\n`,_jsx(Heading,{level:`4`,id:`request-body`,children:`Request body`}),`\n`,_jsxs(_components.p,{children:[`These are the fields that matter for saving a card. For the full list, see `,_jsx(_components.a,{href:`/docs/products/accept-payment/create-checkout-order`,children:`Create a checkout order`}),`.`]}),`\n`,_jsxs(ParamField,{body:`order`,type:`object`,required:true,id:`param-order`,children:[_jsx(_components.p,{children:`Details of the first payment`}),_jsxs(Expandable,{title:`object`,defaultOpen:`true`,children:[_jsx(ParamField,{body:`amount`,type:`string`,required:true,id:`param-amount`,children:_jsxs(_components.p,{children:[`The amount of the first payment, as a string with two decimal places, for example `,_jsx(_components.code,{children:`\"5000.00\"`})]})}),_jsx(ParamField,{body:`currency`,type:`string`,required:true,id:`param-currency`,children:_jsxs(_components.p,{children:[`The currency code, for example `,_jsx(_components.code,{children:`NGN`})]})}),_jsx(ParamField,{body:`customerEmail`,type:`string`,required:true,id:`param-customer-email`,children:_jsx(_components.p,{children:`The customer’s email address. The card is saved against this email, and every later charge must use the same one.`})}),_jsx(ParamField,{body:`orderReference`,type:`string`,id:`param-order-reference`,children:_jsx(_components.p,{children:`Your unique reference for this order, up to 50 characters. Nomba generates one if you leave it out.`})}),_jsx(ParamField,{body:`customerId`,type:`string`,id:`param-customer-id`,children:_jsx(_components.p,{children:`Your own ID for the customer. Nomba returns it in the webhook, so you can match the card token to the customer.`})}),_jsx(ParamField,{body:`callbackUrl`,type:`string`,id:`param-callback-url`,children:_jsx(_components.p,{children:`Where Nomba sends the customer after they pay on the checkout page`})}),_jsx(ParamField,{body:`allowedPaymentMethods`,type:`string[]`,id:`param-allowed-payment-methods`,children:_jsxs(_components.p,{children:[`Set it to `,_jsx(_components.code,{children:`[\"Card\"]`}),`. Only a card payment can be saved, so if the customer pays by transfer, you won’t get a card token.`]})})]})]}),`\n`,_jsx(ParamField,{body:`tokenizeCard`,type:`boolean`,required:true,id:`param-tokenize-card`,children:_jsxs(_components.p,{children:[`Set it to `,_jsx(_components.code,{children:`true`}),` to save the card when the payment succeeds`]})}),`\n`,_jsx(Heading,{level:`4`,id:`response-body`,children:`Response body`}),`\n`,_jsx(ResponseField,{name:`code`,type:`string`,required:true,id:`param-code`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`\"00\"`}),` when the order was created`]})}),`\n`,_jsx(ResponseField,{name:`description`,type:`string`,required:true,id:`param-description`,children:_jsx(_components.p,{children:`Response description`})}),`\n`,_jsx(ResponseField,{name:`status`,type:`boolean`,required:true,id:`param-status`,children:_jsx(_components.p,{children:`Request status`})}),`\n`,_jsx(ResponseField,{name:`data`,type:`object`,required:true,id:`param-data`,children:_jsxs(Expandable,{title:`object`,defaultOpen:`true`,children:[_jsx(ResponseField,{name:`success`,type:`boolean`,required:true,id:`param-success`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`true`}),` when the order was created`]})}),_jsx(ResponseField,{name:`message`,type:`string`,required:true,id:`param-message`,children:_jsx(_components.p,{children:`Response message`})}),_jsx(ResponseField,{name:`checkoutLink`,type:`string`,required:true,id:`param-checkout-link`,children:_jsx(_components.p,{children:`The link to the Nomba checkout page for this order`})}),_jsx(ResponseField,{name:`orderReference`,type:`string`,required:true,id:`param-order-reference-1`,children:_jsxs(_components.p,{children:[`Nomba’s ID for the order, not the reference you sent. The webhook returns it as `,_jsx(_components.code,{children:`order.orderId`}),`.`]})})]})}),`\n`,`\n`,`\n`,_jsxs(_components.p,{children:[`Keep `,_jsx(_components.code,{children:`data.orderReference`}),` from the response. You send it with the card details in the next step.`]}),`\n`,_jsx(Heading,{level:`2`,id:`choose-the-amount-for-the-first-payment`,children:`Choose the amount for the first payment`}),`\n`,_jsx(_components.p,{children:`If the first payment is the customer’s first bill, such as the first month of a subscription, charge the real amount.`}),`\n`,_jsxs(_components.p,{children:[`If you only need the payment to save the card, charge a small amount. Then `,_jsx(_components.a,{href:`/docs/products/accept-payment/refund-checkout-order`,children:`refund it`}),`, or give the customer the same value in your app, such as wallet credit. Nomba doesn’t set a minimum amount, but some banks decline very small card payments, so test the amount you plan to use.`]}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[`Set `,_jsx(_components.code,{children:`tokenizeCard`}),` only when you plan to charge the card again. Tell the customer you’ll save their card and how you’ll use it, and get their agreement before they pay.`]})}),`\n`,_jsx(Card,{title:`Next: Submit card details`,icon:`arrow-right`,href:`/docs/products/accept-payment/recurring-payments/api/submit-card-details`,children:_jsx(_components.p,{children:`Send the card details your customer entered on your page.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a checkout order","sidebarTitle":"Create a checkout order","description":"Create the first order with tokenizeCard set to true so Nomba saves the customer's card.","href":"/docs/products/accept-payment/recurring-payments/api/create-checkout-order"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{Card,CardGroup,CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField,Tip,Warning}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!CardGroup)_missingMdxReference(`CardGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Tip)_missingMdxReference(`Tip`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(CardGroup,{cols:2,children:_jsx(Card,{title:`Create an online checkout order`,icon:`link-simple`,href:`/nomba-api-reference/online-checkout/create-an-online-checkout-order`})}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Step 1 of 7.`}),` Before you can charge a card later, the customer has to pay with it once. Create a checkout order for that first payment, with `,_jsx(_components.code,{children:`tokenizeCard`}),` set to `,_jsx(_components.code,{children:`true`}),`.`]}),`\n`,_jsx(_components.p,{children:`The first payment does two things. It proves that the card is valid and can be charged, and the customer approves the payment with their bank. After that, you can charge the card without the customer re-entering their card details.`}),`\n`,_jsx(Heading,{level:`1`,id:`post-/v1/checkout/order`,children:_jsx(_components.code,{children:`POST /v1/checkout/order`})}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`tokenizeCard`}),` goes at the `,_jsx(_components.strong,{children:`top level`}),` of the request body, next to `,_jsx(_components.code,{children:`order`}),`. Nomba ignores it if you put it inside `,_jsx(_components.code,{children:`order`}),`, and the card isn’t saved.`]})}),`\n`,_jsx(Heading,{level:`4`,id:`headers`,children:`Headers`}),`\n`,_jsx(ParamField,{header:`Authorization`,type:`string`,required:true,id:`param-authorization`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`Bearer \u003caccess_token>`}),`. See `,_jsx(_components.a,{href:`/docs/getting-started/authentication`,children:`Authenticate`}),`.`]})}),`\n`,_jsx(ParamField,{header:`accountId`,type:`string`,required:true,id:`param-account-id`,children:_jsx(_components.p,{children:`Your account ID`})}),`\n`,_jsx(Heading,{level:`4`,id:`request-body`,children:`Request body`}),`\n`,_jsxs(_components.p,{children:[`These are the fields that matter for saving a card. For the full list, see `,_jsx(_components.a,{href:`/docs/products/accept-payment/create-checkout-order`,children:`Create a checkout order`}),`.`]}),`\n`,_jsxs(ParamField,{body:`order`,type:`object`,required:true,id:`param-order`,children:[_jsx(_components.p,{children:`Details of the first payment`}),_jsxs(Expandable,{title:`object`,defaultOpen:`true`,children:[_jsx(ParamField,{body:`amount`,type:`string`,required:true,id:`param-amount`,children:_jsxs(_components.p,{children:[`The amount of the first payment, as a string with two decimal places, for example `,_jsx(_components.code,{children:`\"5000.00\"`})]})}),_jsx(ParamField,{body:`currency`,type:`string`,required:true,id:`param-currency`,children:_jsxs(_components.p,{children:[`The currency code, for example `,_jsx(_components.code,{children:`NGN`})]})}),_jsx(ParamField,{body:`customerEmail`,type:`string`,required:true,id:`param-customer-email`,children:_jsx(_components.p,{children:`The customer’s email address. The card is saved against this email, and every later charge must use the same one.`})}),_jsx(ParamField,{body:`orderReference`,type:`string`,id:`param-order-reference`,children:_jsx(_components.p,{children:`Your unique reference for this order, up to 50 characters. Nomba generates one if you leave it out.`})}),_jsx(ParamField,{body:`customerId`,type:`string`,id:`param-customer-id`,children:_jsx(_components.p,{children:`Your own ID for the customer. Nomba returns it in the webhook, so you can match the card token to the customer.`})}),_jsx(ParamField,{body:`callbackUrl`,type:`string`,id:`param-callback-url`,children:_jsx(_components.p,{children:`Where Nomba sends the customer after they pay on the checkout page`})}),_jsx(ParamField,{body:`allowedPaymentMethods`,type:`string[]`,id:`param-allowed-payment-methods`,children:_jsxs(_components.p,{children:[`Set it to `,_jsx(_components.code,{children:`[\"Card\"]`}),`. Only a card payment can be saved, so if the customer pays by transfer, you won’t get a card token.`]})})]})]}),`\n`,_jsx(ParamField,{body:`tokenizeCard`,type:`boolean`,required:true,id:`param-tokenize-card`,children:_jsxs(_components.p,{children:[`Set it to `,_jsx(_components.code,{children:`true`}),` to save the card when the payment succeeds`]})}),`\n`,_jsx(Heading,{level:`4`,id:`response-body`,children:`Response body`}),`\n`,_jsx(ResponseField,{name:`code`,type:`string`,required:true,id:`param-code`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`\"00\"`}),` when the order was created`]})}),`\n`,_jsx(ResponseField,{name:`description`,type:`string`,required:true,id:`param-description`,children:_jsx(_components.p,{children:`Response description`})}),`\n`,_jsx(ResponseField,{name:`status`,type:`boolean`,required:true,id:`param-status`,children:_jsx(_components.p,{children:`Request status`})}),`\n`,_jsx(ResponseField,{name:`data`,type:`object`,required:true,id:`param-data`,children:_jsxs(Expandable,{title:`object`,defaultOpen:`true`,children:[_jsx(ResponseField,{name:`success`,type:`boolean`,required:true,id:`param-success`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`true`}),` when the order was created`]})}),_jsx(ResponseField,{name:`message`,type:`string`,required:true,id:`param-message`,children:_jsx(_components.p,{children:`Response message`})}),_jsx(ResponseField,{name:`checkoutLink`,type:`string`,required:true,id:`param-checkout-link`,children:_jsx(_components.p,{children:`The link to the Nomba checkout page for this order`})}),_jsx(ResponseField,{name:`orderReference`,type:`string`,required:true,id:`param-order-reference-1`,children:_jsxs(_components.p,{children:[`Nomba’s ID for the order, not the reference you sent. The webhook returns it as `,_jsx(_components.code,{children:`order.orderId`}),`.`]})})]})}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`Request`,numberOfLines:`17`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`17`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --url`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` https://api.nomba.com/v1/checkout/order`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization: Bearer \u003caccess_token>'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --header`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'accountId: \u003caccountId>'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --data`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"order\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"orderReference\": \"sub-2026-10-0001\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"customerId\": \"cus_48213\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"customerEmail\": \"[email protected]\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"amount\": \"5000.00\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"currency\": \"NGN\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"callbackUrl\": \"https://example.com/payments/callback\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"allowedPaymentMethods\": [\"Card\"]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"tokenizeCard\": true`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }'`})}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Success response (200)`,numberOfLines:`11`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"code\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"00\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"description\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"checkout order created successful\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"checkoutLink\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://pay.nomba.com/checkout/be727ded-aa6e-4b6e-beea-898d4428740a\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"orderReference\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"be727ded-aa6e-4b6e-beea-898d4428740a\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsxs(_components.p,{children:[`Keep `,_jsx(_components.code,{children:`data.orderReference`}),` from the response. You send it with the card details in the next step.`]}),`\n`,_jsx(Heading,{level:`2`,id:`choose-the-amount-for-the-first-payment`,children:`Choose the amount for the first payment`}),`\n`,_jsx(_components.p,{children:`If the first payment is the customer’s first bill, such as the first month of a subscription, charge the real amount.`}),`\n`,_jsxs(_components.p,{children:[`If you only need the payment to save the card, charge a small amount. Then `,_jsx(_components.a,{href:`/docs/products/accept-payment/refund-checkout-order`,children:`refund it`}),`, or give the customer the same value in your app, such as wallet credit. Nomba doesn’t set a minimum amount, but some banks decline very small card payments, so test the amount you plan to use.`]}),`\n`,_jsx(Tip,{children:_jsxs(_components.p,{children:[`Set `,_jsx(_components.code,{children:`tokenizeCard`}),` only when you plan to charge the card again. Tell the customer you’ll save their card and how you’ll use it, and get their agreement before they pay.`]})}),`\n`,_jsx(Card,{title:`Next: Submit card details`,icon:`arrow-right`,href:`/docs/products/accept-payment/recurring-payments/api/submit-card-details`,children:_jsx(_components.p,{children:`Send the card details your customer entered on your page.`})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create a checkout order","sidebarTitle":"Create a checkout order","description":"Create the first order with tokenizeCard set to true so Nomba saves the customer's card.","href":"/docs/products/accept-payment/recurring-payments/api/create-checkout-order"}}}},"mdxExtracts":{"tableOfContents":[{"title":"POST /v1/checkout/order","slug":"post-/v1/checkout/order","depth":1,"children":[{"title":"Headers","slug":"headers","depth":4,"children":[]},{"title":"Request body","slug":"request-body","depth":4,"children":[]},{"title":"Response body","slug":"response-body","depth":4,"children":[]}]},{"title":"Choose the amount for the first payment","slug":"choose-the-amount-for-the-first-payment","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"Request","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"17\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --request\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> POST\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --url\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> https://api.nomba.com/v1/checkout/order\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Authorization: Bearer \u0026#x3C;access_token>'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'Content-Type: application/json'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --header\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'accountId: \u0026#x3C;accountId>'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --data\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> '{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"order\": {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"orderReference\": \"sub-2026-10-0001\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"customerId\": \"cus_48213\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"customerEmail\": \"[email protected]\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"amount\": \"5000.00\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"currency\": \"NGN\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"callbackUrl\": \"https://example.com/payments/callback\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"allowedPaymentMethods\": [\"Card\"]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"tokenizeCard\": true\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> }'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Success response (200)","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"11\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"code\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"00\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"description\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"checkout order created successful\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"status\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"data\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"message\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"checkoutLink\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://pay.nomba.com/checkout/be727ded-aa6e-4b6e-beea-898d4428740a\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"orderReference\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"be727ded-aa6e-4b6e-beea-898d4428740a\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}}},"jsLinks":["/_mintlify/custom/nombainc/cd60efdea7ea69bc/widget.js","/_mintlify/custom/nombainc/e6c3fea19c286e4f/sdk-playground-map.js","/_mintlify/custom/nombainc/87e3f0c5d97900d2/try-it-dropdown.js"],"subdomain":"nombainc","siteName":"Nomba Developers","title":"Create a checkout order - Nomba Developers","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-16T17:50:48.314Z","originalFileLocation":"docs/products/accept-payment/recurring-payments/api/create-checkout-order.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create the first order with tokenizeCard set to true so Nomba saves the customer\u0026#x27;s card.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Nomba Developers\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create a checkout order - Nomba Developers\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create the first order with tokenizeCard set to true so Nomba saves the customer\u0026#x27;s card.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Nomba Developers\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://nombainc.mintlify.site/_mintlify/api/og/v2?division=API\u0026amp;title=Create+a+checkout+order\u0026amp;description=Create+the+first+order+with+tokenizeCard+set+to+true+so+Nomba+saves+the+customer%27s+card.\u0026amp;theme=9f3a4faa854b47f3283529e3\u0026amp;signature=b73f4def953cb4a6cb68a1aaab70fe649034c1f6a533c4299817b9d72d0b1d01\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create a checkout order - Nomba Developers\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create the first order with tokenizeCard set to true so Nomba saves the customer\u0026#x27;s card.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://nombainc.mintlify.site/_mintlify/api/og/v2?division=API\u0026amp;title=Create+a+checkout+order\u0026amp;description=Create+the+first+order+with+tokenizeCard+set+to+true+so+Nomba+saves+the+customer%27s+card.\u0026amp;theme=9f3a4faa854b47f3283529e3\u0026amp;signature=b73f4def953cb4a6cb68a1aaab70fe649034c1f6a533c4299817b9d72d0b1d01\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/nombainc/50S1NKXf3OKQ-Eg4/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Nomba Developers\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#CCA300\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/products/accept-payment/recurring-payments/api/create-checkout-order.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developer.nomba.com/#organization\",\"name\":\"Nomba Developers\",\"url\":\"https://developer.nomba.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/nombainc/LbOT-y1ZVvazz3Lg/logo/nomba-light.svg?fit=max\u0026auto=format\u0026n=LbOT-y1ZVvazz3Lg\u0026q=85\u0026s=4dcbcda9fb740ec0980d87afcfb000e7\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developer.nomba.com#website\",\"name\":\"Nomba Developers\",\"url\":\"https://developer.nomba.com\",\"publisher\":{\"@id\":\"https://developer.nomba.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order#webpage\",\"url\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order\",\"name\":\"Create a checkout order\",\"description\":\"Create the first order with tokenizeCard set to true so Nomba saves the customer's card.\",\"dateModified\":\"2026-10-16T17:50:48.314Z\",\"isPartOf\":{\"@id\":\"https://developer.nomba.com#website\"},\"breadcrumb\":{\"@id\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Products\",\"item\":\"https://developer.nomba.com/docs/products/accept-payment/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Accept Payments\",\"item\":\"https://developer.nomba.com/docs/products/accept-payment/overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Recurring payments\",\"item\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/hosted-checkout/overview\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"API\",\"item\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/overview\"},{\"@type\":\"ListItem\",\"position\":5,\"name\":\"Create a checkout order\",\"item\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order#article\",\"headline\":\"Create a checkout order\",\"name\":\"Create a checkout order\",\"description\":\"Create the first order with tokenizeCard set to true so Nomba saves the customer's card.\",\"url\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order\",\"mainEntityOfPage\":{\"@id\":\"https://developer.nomba.com/docs/products/accept-payment/recurring-payments/api/create-checkout-order#webpage\"},\"dateModified\":\"2026-10-16T17:50:48.314Z\",\"publisher\":{\"@id\":\"https://developer.nomba.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developer.nomba.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Nomba Developers\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Nomba Developers\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/products/accept-payment/recurring-payments/api/create-checkout-order.md","siteName":"Nomba Developers","nav":{"global":null,"tabs":[{"tab":"Documentation","groups":[{"group":"Introduction","pages":[{"title":"Welcome to Nomba","icon":"hand-wave","href":"/docs/introduction/welcome-to-nomba"}]},{"group":"Getting Started","pages":[{"title":"Obtain API Keys","icon":"key","href":"/docs/getting-started/get-api-keys"},{"title":"Acceptable KYB Documents","icon":"book","href":"/docs/getting-started/acceptable-documents"},{"title":"Authenticate","icon":"unlock","href":"/docs/getting-started/authentication"}]},{"group":"Products","pages":[{"group":"Accept Payments","icon":"cart-shopping","pages":[{"title":"Overview","href":"/docs/products/accept-payment/overview"},{"title":"Virtual accounts","href":"/docs/products/accept-payment/virtual-account"},{"group":"Checkout","expanded":true,"pages":[{"title":"Checkout Overview","href":"/docs/products/accept-payment/checkout-overview"},{"title":"Create a checkout order","href":"/docs/products/accept-payment/create-checkout-order"},{"title":"Verify Transactions","href":"/docs/products/accept-payment/verify-transactions"},{"title":"Refund a Checkout Order","href":"/docs/products/accept-payment/refund-checkout-order"},{"title":"Cancel a Checkout Order","href":"/docs/products/accept-payment/cancel-checkout-order"},{"title":"Sandbox Testing","href":"/docs/products/accept-payment/sandbox-testing"}]},{"group":"Recurring payments","pages":[{"group":"Hosted checkout","pages":[{"title":"Recurring payments with hosted checkout","sidebarTitle":"Overview","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/overview"},{"title":"Create a checkout order","sidebarTitle":"Create a checkout order","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/create-checkout-order"},{"title":"Get and store the card token","sidebarTitle":"Store the card token","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/store-the-card-token"},{"title":"Charge a saved card","sidebarTitle":"Charge a saved card","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/charge-a-saved-card"},{"title":"Complete an OTP challenge","sidebarTitle":"Complete an OTP challenge","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/complete-otp"},{"title":"Confirm the charge","sidebarTitle":"Confirm the charge","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/confirm-the-charge"},{"group":"Manage saved cards","pages":[{"title":"List saved cards","sidebarTitle":"List saved cards","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/list-saved-cards"},{"title":"Change the email on a saved card","sidebarTitle":"Change the email","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/change-card-email"},{"title":"Delete a saved card","sidebarTitle":"Delete a saved card","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/delete-saved-card"}]},{"title":"Test recurring payments","sidebarTitle":"Test recurring payments","href":"/docs/products/accept-payment/recurring-payments/hosted-checkout/test-in-sandbox"}]},{"group":"API","pages":[{"title":"Recurring payments with the API","sidebarTitle":"Overview","description":"Save a customer's card on their first payment, then charge it again whenever a payment is due.","href":"/docs/products/accept-payment/recurring-payments/api/overview"},{"title":"Create a checkout order","sidebarTitle":"Create a checkout order","href":"/docs/products/accept-payment/recurring-payments/api/create-checkout-order"},{"title":"Submit card details","sidebarTitle":"Submit card details","description":"Send the card details your customer entered on your page to pay for the card-saving order.","href":"/docs/products/accept-payment/recurring-payments/api/submit-card-details"},{"title":"Submit card OTP","sidebarTitle":"Submit card OTP","href":"/docs/products/accept-payment/recurring-payments/api/submit-card-otp"},{"title":"Get and store the card token","sidebarTitle":"Store the card token","href":"/docs/products/accept-payment/recurring-payments/api/store-the-card-token"},{"title":"Charge a saved card","sidebarTitle":"Charge a saved card","href":"/docs/products/accept-payment/recurring-payments/api/charge-a-saved-card"},{"title":"Complete an OTP challenge","sidebarTitle":"Complete an OTP challenge","href":"/docs/products/accept-payment/recurring-payments/api/complete-otp"},{"title":"Confirm the charge","sidebarTitle":"Confirm the charge","href":"/docs/products/accept-payment/recurring-payments/api/confirm-the-charge"},{"group":"Manage saved cards","pages":[{"title":"List saved cards","sidebarTitle":"List saved cards","href":"/docs/products/accept-payment/recurring-payments/api/list-saved-cards"},{"title":"Change the email on a saved card","sidebarTitle":"Change the email","href":"/docs/products/accept-payment/recurring-payments/api/change-card-email"},{"title":"Delete a saved card","sidebarTitle":"Delete a saved card","href":"/docs/products/accept-payment/recurring-payments/api/delete-saved-card"}]},{"title":"Test recurring payments","sidebarTitle":"Test recurring payments","href":"/docs/products/accept-payment/recurring-payments/api/test-in-sandbox"}]}]},{"title":"Initialize Charge","href":"/docs/products/accept-payment/server-to-server"},{"title":"Payment Methods","href":"/docs/products/accept-payment/payment-methods"},{"title":"Direct Debit","href":"/docs/products/accept-payment/direct-debit"},{"group":"DRC Collection","pages":[{"title":"Overview","href":"/docs/products/global-collections/introduction"},{"title":"Initiate Mobile Money Inflow","href":"/docs/products/global-collections/initiate-mobile-money-inflow"},{"title":"Fetch DRC Inflow Providers","href":"/docs/products/global-collections/fetch-drc-inflow-providers"},{"title":"Fetch Transaction","href":"/docs/products/global-collections/fetch-mobile-money-transaction"}]}]},{"group":"Transfers","icon":"shuffle","pages":[{"group":"Nigeria Payout","pages":[{"title":"Overview","href":"/docs/products/transfers/introduction"},{"title":"Bank account lookup","href":"/docs/products/transfers/bank-account-lookup"},{"title":"Fetch bank codes","href":"/docs/products/transfers/fetch-bank-codes-and-names"},{"title":"Transfer to banks","href":"/docs/products/transfers/transfer-to-banks"},{"title":"Transfer between accounts","href":"/docs/products/transfers/transfer-between-accounts"}]},{"group":"Global Payout","pages":[{"title":"Overview","href":"/docs/products/global-payout/introduction"},{"title":"Supported Countries","href":"/docs/products/global-payout/supported-countries"},{"title":"Fetch Payment Methods","href":"/docs/products/global-payout/payment-methods"},{"title":"Institution Providers","href":"/docs/products/global-payout/mobile-money-providers"},{"title":"Authorize Transfer","href":"/docs/products/global-payout/authorize-transfer"},{"title":"Convert Money","href":"/docs/products/global-payout/convert-money"},{"title":"Fetch Exchange Rates","href":"/docs/products/global-payout/fetch-exchange-rates"},{"title":"Fetch Transaction","href":"/docs/products/global-payout/fetch-transaction"},{"title":"Authorize Exchange","href":"/docs/products/global-payout/authorize-exchange"}]}]},{"group":"Terminals","icon":"mobile-retro","pages":[{"title":"Assigning terminals","href":"/docs/products/terminals/assigning-terminals"},{"title":"Unassigning terminals","href":"/docs/products/terminals/unassigning-terminals"},{"title":"Push Payment to Terminal","href":"/docs/products/terminals/push-payment-request"},{"group":"Custom Apps","pages":[{"title":"Introduction","href":"/docs/products/terminals/custom-apps/introduction"},{"group":"Trigger Payment","pages":[{"title":"Introduction","href":"/docs/products/terminals/custom-apps/trigger-payment/introduction"},{"title":"Trigger card payments","href":"/docs/products/terminals/custom-apps/trigger-payment/trigger-card-payment"},{"title":"Trigger bank transfer payments","href":"/docs/products/terminals/custom-apps/trigger-payment/trigger-bank-transfer-payments"}]},{"title":"Retrieve device info","href":"/docs/products/terminals/custom-apps/retrieve-device-info"},{"title":"Trigger receipt printing","href":"/docs/products/terminals/custom-apps/trigger-receipt-printing"}]},{"group":"Terminal actions","pages":[{"title":"Introduction","href":"/docs/products/terminals/terminal-actions/introduction"},{"title":"Balance Check","href":"/docs/products/terminals/terminal-actions/balance-check"},{"title":"Payout Transaction","href":"/docs/products/terminals/terminal-actions/payout-transaction"}]}]},{"group":"Transactions","icon":"receipt","pages":[{"title":"Overview","href":"/docs/products/transactions/introduction"},{"title":"Fetch Account Transactions","href":"/docs/products/transactions/fetch-account-transactions"},{"title":"Fetch Bank Transactions","href":"/docs/products/transactions/fetch-bank-transactions"},{"title":"Fetch Virtual Account Transactions","href":"/docs/products/transactions/fetch-virtual-account-transactions"},{"title":"Transaction Requery","href":"/docs/products/transactions/transaction-requery"}]},{"group":"Airtime \u0026 Data Vending","icon":"money-bill","pages":[{"title":"Fetch Data Plans","href":"/docs/products/airtime-and-data/fetch-data-plans"},{"title":"Buy Data Bundle","href":"/docs/products/airtime-and-data/buy-data-bundle"},{"title":"Vend Airtime","href":"/docs/products/airtime-and-data/vend-airtime"}]},{"group":"Bill Payments","icon":"tv","pages":[{"group":"Cable TV","pages":[{"title":"Fetch Cable TV Plans","href":"/docs/products/bills/fetch-cable-tv-plans"},{"title":"Subscribe to Cable TV","href":"/docs/products/bills/subscribe-to-cable-tv"},{"title":"Get customer information from a cable tv provider ","href":"/docs/products/bills/name-lookup-for-cabletv"}]},{"group":"Electricity","pages":[{"title":"Get customer information for an electricity payment ","href":"/docs/products/bills/name-lookup-for-electricity"},{"title":"Fetch Electricity Providers (Discos)","href":"/docs/products/bills/fetch-electricity-providers"},{"title":"Pay for Electricity","href":"/docs/products/bills/pay-for-electricity"}]},{"group":"Betting","pages":[{"title":"Fetch Betting Providers","href":"/docs/products/bills/fetch-betting-providers"},{"title":"Get customer information for a betting payment ","href":"/docs/products/bills/name-lookup-for-betting"},{"title":"Pay for Betting","href":"/docs/products/bills/pay-for-betting"}]}]}]},{"group":"API Basics","pages":[{"title":"Pagination","icon":"angles-right","href":"/docs/api-basics/pagination"},{"title":"Ratelimit","icon":"hourglass","href":"/docs/api-basics/rate_limit"},{"title":"Environment","icon":"seedling","href":"/docs/api-basics/environment"},{"group":"Testing","icon":"cards-blank","pages":[{"title":"Testing","icon":"cards-blank","href":"/docs/api-basics/testing/overview"},{"title":"Cards \u0026 checkout","icon":"credit-card","href":"/docs/api-basics/testing/cards"},{"title":"Bank transfer","icon":"building-columns","href":"/docs/api-basics/testing/bank-transfer"},{"title":"Virtual accounts","icon":"building-columns","href":"/docs/api-basics/testing/virtual-accounts"},{"title":"Demo inflow","icon":"mobile-screen-button","href":"/docs/api-basics/testing/demo-inflow"}]},{"title":"Response Codes","icon":"code","href":"/docs/api-basics/response-codes"},{"title":"Webhooks","icon":"webhook","href":"/docs/api-basics/webhook"},{"title":"Debug webhooks","icon":"bug","href":"/docs/api-basics/troubleshoot-webhooks"},{"title":"Definitions","icon":"book","href":"/docs/api-basics/definitions"}]},{"group":"Guides","pages":[{"title":"Introduction","href":"/docs/guides/introduction"},{"title":"Try the API","icon":"bolt","href":"/docs/guides/try-the-api"},{"title":"Accept online payments","href":"/docs/guides/accept-online-payments"},{"title":"Accept Payments with Payment Links","href":"/docs/guides/accept-payment-with-payment-links"},{"title":"Authentication best practises","href":"/docs/guides/authentication-best-practises"},{"title":"Setting up webhooks","href":"/docs/guides/setting-up-webhooks"},{"title":null,"href":"/docs/guides/shopify-nomba-integration"},{"title":null,"href":"/docs/guides/nomba-woocommerce-integration"},{"title":"Managing accounts with Nomba","href":"/docs/guides/managing-accounts-with-nomba"}]}]},{"tab":"API Reference","pages":[{"title":"API Reference","href":"/nomba-api-reference/introduction"}]},{"tab":"Developer Resources","pages":[{"title":"Developer Resources","href":"/developer-resources/overview"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/nomba-api-changelog/api/updates"}]}]},"basePath":"","title":"Create a checkout order - Nomba Developers","deploymentId":"dpl_FZMKUpaaKiVETbfqhoUe4sPFDTmY","buildId":"dpl_FZMKUpaaKiVETbfqhoUe4sPFDTmY","dynamics":["10e4515597","2b790eda92"],"chunks":["BannerMarkdown-5hDu1xuu.js","dist-OCScizqf.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","katex-YMM-FMeD.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","ApiExamples-DkKHBy30.js","utils-BN5um1KA.js","_Uint8Array-DLlL8L26.js","isObject-FP1Yky1u.js","cloneDeep-C3md22mN.js","utils-BSmbkXJR.js","isEqual-O3q7y6pq.js","usePlaygroundInputsStore-Brc5H9UJ.js","shallow-C4L4xvbs.js","snippetPresets-CtWfvr2J.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","getApiPlaygroundDisplay-2bxyq_aI.js","CodeSnippet-BJu8ddd5.js","CodeSnippets-dazWmoqB.js"]}